#pragma once

#include "PageEvents.h"
#include "PagePowersave.h"
#include "PageRoaming.h"
#include "PageActions.h"


// CTrackDemoSheet

class CTrackDemoSheet : public CPropertySheet
{
  DECLARE_DYNAMIC(CTrackDemoSheet)

public:
                CTrackDemoSheet(void);
  virtual       ~CTrackDemoSheet();

  void          ReceiveEvent(CTime timestamp, int NodeID, void *eventdata);
  void          ReceiveRoaming(unsigned int *roamingdata);
  void          ReceivePowersave(void *pData);

protected:
  CPageEvents     m_events;
  CPagePowersave  m_power;
  CPageRoaming    m_roaming;
  CPageActions    m_actions;

  CStatusBar      m_bar;
  CMenu           m_menu;
  CStatic         c_label;
  CEdit           c_nodeid;
  CButton         c_export;

  bool            m_connected;
  CTime           m_time;
  int             m_client;

  virtual void  DoDataExchange(CDataExchange* pDX);
	virtual BOOL  OnInitDialog();
  afx_msg void  OnAboutbox();
  afx_msg void  OnSetup();
  afx_msg void  OnTimer(UINT_PTR nIDEvent);
  afx_msg void  OnUnitProvidergprsaccess();
  afx_msg void  OnUnitRtcugatewayaccess();
  afx_msg void  OnUnitSethostnodeid();
  afx_msg void  OnUnitRequestposition();
  afx_msg void  OnChangeNodeid();
  afx_msg void  OnExport();

  DECLARE_MESSAGE_MAP()
};


